%define         major         1
%define         libname       %mklibname %{name} %{major}
%define         libtestername %mklibname %{name}-tester %{major}
%define         develname     %mklibname %{name} -d

Name:           bctoolbox
Version:        4.4.21
Release:        %mkrel 1
Summary:        Utility library for software from Belledonne Communications
License:        GPLv2+
Group:          Development/C++
Url:            https://linphone.org
Source0:        https://github.com/BelledonneCommunications/bctoolbox/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         bctoolbox-opensuse-fix-pkgconfig.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  mbedtls-devel
BuildRequires:  bcunit-devel >= 3.0.2-4
BuildRequires:  pkgconfig(zlib)

%description
Utilities library used by Belledonne Communications softwares like
belle-sip, mediastreamer2 and linphone.

%package -n     %{develname}
Summary:        Development files for %{name}, a utility library for linphone/belle-sip/etc
Group:          Development/C++
Requires:       %{libname} = %{version}
Requires:       %{libtestername} = %{version}
Requires:       pkgconfig(zlib)
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Utilities library used by Belledonne Communications softwares like
belle-sip, mediastreamer2 and linphone.

This package contains development files.

%package -n %{libname}
Summary:        Utility library for software from Belledonne Communications
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
Utilities library used by Belledonne Communications software like
belle-sip, mediastreamer2 and linphone.

This package the contains shared library.

%package -n %{libtestername}
Summary:        Utility library for software from Belledonne Communications
Group:          System/Libraries
Provides:       %{name}-tester = %{version}-%{release}

%description -n %{libtestername}
Utilities library used by Belledonne Communications software like
belle-sip, mediastreamer2 and linphone.

This package the contains shared library for testing component.

%prep
%setup -q
%autopatch -p1

# Fix version
sed -i -e '/bctoolbox/s/\(VERSION\)\s\+[0-9]\+\(\.[0-9]\+\)\+/\1 %{version}/' CMakeLists.txt

%build
%cmake \
  -DENABLE_STRICT:BOOL=NO \
  -DENABLE_STATIC:BOOL=NO \
  -DMBEDTLS_V2:BOOL=YES
%cmake_build

%install
%cmake_install


%files -n %{libname}
%license LICENSE.txt
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{libtestername}
%license LICENSE.txt
%{_libdir}/lib%{name}-tester.so.%{major}{,.*}

%files -n %{develname}
%license LICENSE.txt
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%{_datadir}/%{name}/
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/bctoolbox-tester.pc
%{_libdir}/lib%{name}-tester.so


%changelog
* Sun Dec 27 2020 wally <wally> 4.4.21-1.mga8
+ Revision: 1664099
- new version 4.4.21

* Sat Dec 19 2020 wally <wally> 4.4.19-1.mga8
+ Revision: 1661340
- new version 4.4.19

* Thu Dec 10 2020 wally <wally> 4.4.13-1.mga8
+ Revision: 1655173
- new version 4.4.13

* Mon Nov 23 2020 wally <wally> 4.4.9-1.mga8
+ Revision: 1648756
- new version 4.4.9

* Sun Oct 25 2020 wally <wally> 4.4.6-1.mga8
+ Revision: 1639229
- new version 4.4.6

* Sat Oct 03 2020 wally <wally> 4.4.0-1.mga8
+ Revision: 1632012
- new version 4.4.0

* Sat Mar 28 2020 wally <wally> 4.3.1-1.mga8
+ Revision: 1561358
- new version 4.3.1

* Sat Mar 28 2020 wally <wally> 0.6.0-6.mga8
+ Revision: 1561319
- build with new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Apr 03 2019 akien <akien> 0.6.0-5.mga7
+ Revision: 1385572
- Rebuild for mbedtls 2.16.1

* Fri Sep 21 2018 umeabot <umeabot> 0.6.0-4.mga7
+ Revision: 1295354
- Mageia 7 Mass Rebuild

* Tue May 08 2018 kekepower <kekepower> 0.6.0-3.mga7
+ Revision: 1227676
- Rebuild for new mbedtls

* Wed Mar 07 2018 kekepower <kekepower> 0.6.0-2.mga7
+ Revision: 1207006
- Rebuild for new mbedtls

* Sat Nov 04 2017 zezinho <zezinho> 0.6.0-1.mga7
+ Revision: 1175955
- build against just packaged BCUnit 3

* Sun Jan 22 2017 akien <akien> 0.2.0-4.mga6
+ Revision: 1083036
- Rebuild for mbedtls 2.4.0

* Fri Dec 02 2016 daviddavid <daviddavid> 0.2.0-3.mga6
+ Revision: 1071679
- fix devel subpackage name
- remove some useless hardcoded requires

* Tue Nov 29 2016 zezinho <zezinho> 0.2.0-2.mga6
+ Revision: 1071025
- fix requires
- now it builds
- mageia way from suse
- imported package bctoolbox


* Sat Aug 27 2016 jengelh@inai.de
- Remove extraneous pkgconfig require
* Sat Aug 27 2016 mpluskal@suse.com
- Merge changes from home:X0F:HSF
- Fix generation of pkgconfig files
  * bctoolbox-pkgconfig_1.patch
  * bctoolbox-pkgconfig_2.patch
* Mon Aug 15 2016 jengelh@inai.de
- Update summary and rpm groups
* Fri Aug 12 2016 mpluskal@suse.com
- Initial package for version 0.2.0
